<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-731"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20XHXTextKeyboardManager%E7%B1%BB%20%E5%8F%82%E8%80%83"></a><title>XHXKit: XHXTextKeyboardManager类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('interface_x_h_x_text_keyboard_manager.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">构造函数</a> |
<a href="#pub-static-methods">类方法</a> |
<a href="#properties">属性</a> |
<a href="interface_x_h_x_text_keyboard_manager-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">XHXTextKeyboardManager类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_x_h_x_text_keyboard_manager_8h_source.html">XHXTextKeyboardManager.h</a>&gt;</code></p>
<div class="dynheader">
类 XHXTextKeyboardManager 继承关系图:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_x_h_x_text_keyboard_manager.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
构造函数</h2></td></tr>
<tr class="memitem:aa8017a158e3aae47235dcfaf95bd947b"><td class="memItemLeft" align="right" valign="top">(instancetype)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_text_keyboard_manager.html#aa8017a158e3aae47235dcfaf95bd947b">UNAVAILABLE_ATTRIBUTE</a></td></tr>
<tr class="separator:aa8017a158e3aae47235dcfaf95bd947b"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a0799b3ebf30c4104e83d0c9a29b17454"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_text_keyboard_manager.html#a0799b3ebf30c4104e83d0c9a29b17454">addObserver:</a></td></tr>
<tr class="separator:a0799b3ebf30c4104e83d0c9a29b17454"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a4009a5f72bc1173e4b37949b5b0e2f65"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_text_keyboard_manager.html#a4009a5f72bc1173e4b37949b5b0e2f65">removeObserver:</a></td></tr>
<tr class="separator:a4009a5f72bc1173e4b37949b5b0e2f65"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:abf688329b06d2296b393fdef1a7e4d8c"><td class="memItemLeft" align="right" valign="top">(CGRect)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_text_keyboard_manager.html#abf688329b06d2296b393fdef1a7e4d8c">convertRect:toView:</a></td></tr>
<tr class="separator:abf688329b06d2296b393fdef1a7e4d8c"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table><table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
类方法</h2></td></tr>
<tr class="memitem:aa8017a158e3aae47235dcfaf95bd947b"><td class="memItemLeft" align="right" valign="top">(instancetype)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_text_keyboard_manager.html#aa8017a158e3aae47235dcfaf95bd947b">UNAVAILABLE_ATTRIBUTE</a></td></tr>
<tr class="separator:aa8017a158e3aae47235dcfaf95bd947b"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:aabbe90d0540d26343ca02eed90abb2fd"><td class="memItemLeft" align="right" valign="top">(nullable instancetype)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_text_keyboard_manager.html#aabbe90d0540d26343ca02eed90abb2fd">defaultManager</a></td></tr>
<tr class="memdesc:aabbe90d0540d26343ca02eed90abb2fd"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the default manager (returns nil in App Extension).  <a href="interface_x_h_x_text_keyboard_manager.html#aabbe90d0540d26343ca02eed90abb2fd">更多...</a><br/></td></tr>
<tr class="separator:aabbe90d0540d26343ca02eed90abb2fd"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table><table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
属性</h2></td></tr>
<tr class="memitem:aa491574a2e8b5ab1352f8e5615ca6ef4"><td class="memItemLeft" align="right" valign="top">UIWindow *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_text_keyboard_manager.html#aa491574a2e8b5ab1352f8e5615ca6ef4">keyboardWindow</a></td></tr>
<tr class="memdesc:aa491574a2e8b5ab1352f8e5615ca6ef4"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the keyboard window. nil if there&#39;s no keyboard window.  <a href="interface_x_h_x_text_keyboard_manager.html#aa491574a2e8b5ab1352f8e5615ca6ef4">更多...</a><br/></td></tr>
<tr class="separator:aa491574a2e8b5ab1352f8e5615ca6ef4"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:af91fb8bd3f946a6f31b51e1f33879ef6"><td class="memItemLeft" align="right" valign="top">UIView *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_text_keyboard_manager.html#af91fb8bd3f946a6f31b51e1f33879ef6">keyboardView</a></td></tr>
<tr class="memdesc:af91fb8bd3f946a6f31b51e1f33879ef6"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the keyboard view. nil if there&#39;s no keyboard view.  <a href="interface_x_h_x_text_keyboard_manager.html#af91fb8bd3f946a6f31b51e1f33879ef6">更多...</a><br/></td></tr>
<tr class="separator:af91fb8bd3f946a6f31b51e1f33879ef6"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a300dd1d5b91c7b6c7c835673897dfe05"><td class="memItemLeft" align="right" valign="top">BOOL&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_text_keyboard_manager.html#a300dd1d5b91c7b6c7c835673897dfe05">keyboardVisible</a></td></tr>
<tr class="memdesc:a300dd1d5b91c7b6c7c835673897dfe05"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether the keyboard is visible.  <a href="interface_x_h_x_text_keyboard_manager.html#a300dd1d5b91c7b6c7c835673897dfe05">更多...</a><br/></td></tr>
<tr class="separator:a300dd1d5b91c7b6c7c835673897dfe05"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ab0735fbc05863c75b54e12fb9b59c440"><td class="memItemLeft" align="right" valign="top">CGRect&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_text_keyboard_manager.html#ab0735fbc05863c75b54e12fb9b59c440">keyboardFrame</a></td></tr>
<tr class="separator:ab0735fbc05863c75b54e12fb9b59c440"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<a name="details" id="details"></a><h2 class="groupheader">详细描述</h2>
<div class="textblock"><p>A <a class="el" href="interface_x_h_x_text_keyboard_manager.html">XHXTextKeyboardManager</a> object lets you get the system keyboard information, and track the keyboard visible/frame/transition.</p>
<p>@discussion You should access this class in main thread. Compatible: iPhone/iPad with iOS6/7/8/9. </p>
</div><h2 class="groupheader">函数文档</h2>
<a id="a0799b3ebf30c4104e83d0c9a29b17454"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0799b3ebf30c4104e83d0c9a29b17454">◆&nbsp;</a></span>addObserver:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (void) addObserver: </td>
          <td></td>
          <td class="paramtype">(id&lt;<a class="el" href="protocol_x_h_x_text_keyboard_observer-p.html">XHXTextKeyboardObserver</a>&gt;)&nbsp;</td>
          <td class="paramname"><em>observer</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>Add an observer to manager to get keyboard change information. This method makes a weak reference to the observer.</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">observer</td><td>An observer. This method will do nothing if the observer is nil, or already added. </td></tr>
  </tbody></table>
  </dd>
</dl>

</div>
</div>
<a id="abf688329b06d2296b393fdef1a7e4d8c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf688329b06d2296b393fdef1a7e4d8c">◆&nbsp;</a></span>convertRect:toView:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGRect) convertRect: </td>
          <td></td>
          <td class="paramtype">(CGRect)&nbsp;</td>
          <td class="paramname"><em>rect</em></td>
        </tr>
        <tr>
          <td class="paramkey">toView:</td>
          <td></td>
          <td class="paramtype">(nullable UIView *)&nbsp;</td>
          <td class="paramname"><em>view</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>Convert rect to specified view or window.</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">rect</td><td>The frame rect. </td></tr>
    <tr><td class="paramname">view</td><td>A specified view or window (pass nil to convert for main window). </td></tr>
  </tbody></table>
  </dd>
</dl>
<dl class="section return"><dt>返回</dt><dd>The converted rect in specifeid view. </dd></dl>

</div>
</div>
<a id="aabbe90d0540d26343ca02eed90abb2fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aabbe90d0540d26343ca02eed90abb2fd">◆&nbsp;</a></span>defaultManager</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (instancetype) defaultManager </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

<p>Get the default manager (returns nil in App Extension). </p>

</div>
</div>
<a id="a4009a5f72bc1173e4b37949b5b0e2f65"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4009a5f72bc1173e4b37949b5b0e2f65">◆&nbsp;</a></span>removeObserver:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (void) removeObserver: </td>
          <td></td>
          <td class="paramtype">(id&lt;<a class="el" href="protocol_x_h_x_text_keyboard_observer-p.html">XHXTextKeyboardObserver</a>&gt;)&nbsp;</td>
          <td class="paramname"><em>observer</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>Remove an observer from manager.</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">observer</td><td>An observer. This method will do nothing if the observer is nil, or not in manager. </td></tr>
  </tbody></table>
  </dd>
</dl>

</div>
</div>
<a id="aa8017a158e3aae47235dcfaf95bd947b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa8017a158e3aae47235dcfaf95bd947b">◆&nbsp;</a></span>UNAVAILABLE_ATTRIBUTE <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (instancetype) UNAVAILABLE_ATTRIBUTE </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="aa8017a158e3aae47235dcfaf95bd947b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa8017a158e3aae47235dcfaf95bd947b">◆&nbsp;</a></span>UNAVAILABLE_ATTRIBUTE <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (instancetype) UNAVAILABLE_ATTRIBUTE </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">属性说明</h2>
<a id="ab0735fbc05863c75b54e12fb9b59c440"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0735fbc05863c75b54e12fb9b59c440">◆&nbsp;</a></span>keyboardFrame</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGRect) keyboardFrame</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">
<p>Get the keyboard frame. CGRectNull if there&#39;s no keyboard view. Use convertRect:toView: to convert frame to specified view. </p>

</div>
</div>
<a id="af91fb8bd3f946a6f31b51e1f33879ef6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af91fb8bd3f946a6f31b51e1f33879ef6">◆&nbsp;</a></span>keyboardView</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (UIView *) keyboardView</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>Get the keyboard view. nil if there&#39;s no keyboard view. </p>

</div>
</div>
<a id="a300dd1d5b91c7b6c7c835673897dfe05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a300dd1d5b91c7b6c7c835673897dfe05">◆&nbsp;</a></span>keyboardVisible</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (BOOL) keyboardVisible</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>Whether the keyboard is visible. </p>

</div>
</div>
<a id="aa491574a2e8b5ab1352f8e5615ca6ef4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa491574a2e8b5ab1352f8e5615ca6ef4">◆&nbsp;</a></span>keyboardWindow</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (UIWindow *) keyboardWindow</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>Get the keyboard window. nil if there&#39;s no keyboard window. </p>

</div>
</div>
<hr/>该类的文档由以下文件生成:<ul>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/KeyboardManager/<a class="el" href="_x_h_x_text_keyboard_manager_8h_source.html">XHXTextKeyboardManager.h</a></li>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/KeyboardManager/<a class="el" href="_x_h_x_text_keyboard_manager_8m.html">XHXTextKeyboardManager.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="interface_x_h_x_text_keyboard_manager.html">XHXTextKeyboardManager</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>